From 11d0f5544dbc18540fac82c8208347920b0977f0 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 08 2015 05:18:24 +0000
Subject: [PATCH 104/254] Make the graph have lots of categories for now.


---

diff --git a/hubs/widgets/fedmsgs.py b/hubs/widgets/fedmsgs.py
index 62e4d2c..0a3fb91 100644
--- a/hubs/widgets/fedmsgs.py
+++ b/hubs/widgets/fedmsgs.py
@@ -18,7 +18,7 @@ template = jinja2.Template("""
 """)
 
 from hubs.widgets.chrome import panel
-chrome = panel("Daily Activity")
+chrome = panel("Weekly Activity")
 
 
 @argument(name="username",
@@ -26,7 +26,16 @@ chrome = panel("Daily Activity")
           validator=validators.username,
           help="A FAS username.")
 def data(session, widget, username):
-    url = "https://apps.fedoraproject.org/datagrepper/charts/line?delta=86400&N=12&style=clean&height=300&fill=true&user={username}"
+    categories = ['git', 'Wiki', 'Copr', 'anitya', 'mirrormanager', 'ansible',
+                  'fedoratagger', 'Pkgdb', 'summershum', 'nuancier', 'Mailman',
+                  'fedbadges', 'FMN', 'koschei', 'compose', 'fedimg',
+                  'Jenkins', 'irc', 'FAS', 'buildsys', 'Askbot', 'pagure',
+                  'Bodhi', 'faf', 'kerneltest', 'github', 'Trac', 'meetbot',
+                  'planet', 'fedocal', 'hotness']
+    categories = [c.lower() for c in categories]
+    categories = "&".join(['category=%s' % c for c in categories ])
+    url = "https://apps.fedoraproject.org/datagrepper/charts/stackedline?delta=604800&N=12&style=clean&height=300&fill=true&user={username}&split_on=categories"
+    url = url + "&" + categories
     url = url.format(username=username)
     return dict(url=url)
 

